Package: org.gradle.api.artifacts.component

## [Java] Interface ModuleComponentIdentifier

- org.gradle.api.artifacts.component.ModuleComponentIdentifier

- All Superinterfaces:
    ComponentIdentifier

  An identifier for a component instance which is available as a module version.

  Since:
    1.10

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getGroup()` The module group of the component.
    `String` | `getModule()` The module name of the component.
    `String` | `getVersion()` The module version of the component.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentIdentifier` | `getDisplayName`

- - ### Method Detail

    - #### public String getGroup()

      The module group of the component.

      Returns:
        Component group
      Since:
        1.10

    - #### public String getModule()

      The module name of the component.

      Returns:
        Component module
      Since:
        1.10

    - #### public String getVersion()

      The module version of the component.

      Returns:
        Component version
      Since:
        1.10